For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Billing Credits

Get credit bundle

GET
https://api.schematichq.com/billing/credits/bundles/:bundle_id
GET
/billing/credits/bundles/:bundle_id
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.credits.getCreditBundle("bundle_id");
8}
9main();
1{
2 "data": {
3 "bundle_type": "fixed",
4 "created_at": "2024-01-15T09:30:00Z",
5 "credit_id": "cred_100_api_credits",
6 "credit_name": "API Credit Pack 100",
7 "currency_prices": [
8 {
9 "currency": "USD",
10 "price": {
11 "currency": "USD",
12 "external_price_id": "price_1Hh1YZ2eZvKYlo2C0a1b2c3d",
13 "id": "price_1Hh1YZ2eZvKYlo2C0a1b2c3d",
14 "interval": "one-time",
15 "interval_count": 1,
16 "price": 4999,
17 "provider_type": "stripe",
18 "scheme": "per_unit",
19 "nickname": "One-time purchase",
20 "price_decimal": "49.99"
21 }
22 }
23 ],
24 "expiry_type": "duration",
25 "expiry_unit": "billing_periods",
26 "has_grants": true,
27 "id": "bundle_100_api_credits_2024",
28 "name": "100 API Credits Bundle",
29 "status": "active",
30 "updated_at": "2024-01-15T09:30:00Z",
31 "billing_invoice_id": "inv_20240615_001",
32 "credit_description": "Access to 100 API credits for advanced data processing",
33 "credit_icon": "https://cdn.schematichq.com/icons/credit-bundle-100.png",
34 "expiry_unit_count": 3,
35 "plural_name": "100 API Credits Bundles",
36 "price": {
37 "currency": "USD",
38 "external_price_id": "price_1Hh1YZ2eZvKYlo2C0a1b2c3d",
39 "id": "price_1Hh1YZ2eZvKYlo2C0a1b2c3d",
40 "interval": "one-time",
41 "interval_count": 1,
42 "price": 4999,
43 "provider_type": "stripe",
44 "scheme": "per_unit",
45 "nickname": "One-time purchase",
46 "price_decimal": "49.99"
47 },
48 "quantity": 100,
49 "singular_name": "100 API Credit Bundle",
50 "unit_price": {
51 "currency": "USD",
52 "external_price_id": "price_1Hh1YZ2eZvKYlo2C0a1b2c3d",
53 "id": "price_1Hh1YZ2eZvKYlo2C0a1b2c3d",
54 "interval": "one-time",
55 "interval_count": 1,
56 "price": 4999,
57 "provider_type": "stripe",
58 "scheme": "per_unit",
59 "nickname": "One-time purchase",
60 "price_decimal": "49.99"
61 }
62 },
63 "params": {}
64}
Was this page helpful?
Previous

Update credit bundle

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Path parameters

bundle_idstringRequired

bundle_id

Response

OK
dataobject
paramsobject
Input parameters

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error